commit b54cc5a91ae07c551f3e8e9d7b2d89843a83fd08
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 31 01:28:14 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 624d726b482..4e24865e9d1 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-30  Guo Jie  <guojie@loongson.cn>
+
+	Backported from master:
+	2025-10-30  Guo Jie  <guojie@loongson.cn>
+
+	* config/loongarch/lasx.md (fnma<mode>4): Remove.
+	* config/loongarch/lsx.md (fnma<mode>4): Remove.
+	* config/loongarch/simd.md (fnma<mode>4): Simplify and correct.
+
 2025-10-27  Jakub Jelinek  <jakub@redhat.com>
 
 	PR tree-optimization/122394
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e82e384a4b5..986fa53aa44 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251030
+20251031
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f3126dca838..3a01c2f8fd5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2025-10-30  Guo Jie  <guojie@loongson.cn>
+
+	Backported from master:
+	2025-10-30  Guo Jie  <guojie@loongson.cn>
+
+	* gcc.target/loongarch/fnmam4-vec.c: New test.
+
 2025-10-28  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

